# azure.mgmt.policyinsights package

## Submodules

- azure.mgmt.policyinsights.models module
- azure.mgmt.policyinsights.operations module

## Module contents

class `azure.mgmt.policyinsights.``PolicyInsightsClient`(credentials, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  Variables:

  - config (PolicyInsightsClientConfiguration) – Configuration for client.
  - policy_tracked_resources (azure.mgmt.policyinsights.operations.PolicyTrackedResourcesOperations) – PolicyTrackedResources operations
  - remediations (azure.mgmt.policyinsights.operations.RemediationsOperations) – Remediations operations
  - policy_events (azure.mgmt.policyinsights.operations.PolicyEventsOperations) – PolicyEvents operations
  - policy_states (azure.mgmt.policyinsights.operations.PolicyStatesOperations) – PolicyStates operations
  - operations (azure.mgmt.policyinsights.operations.Operations) – Operations operations
  - policy_metadata (azure.mgmt.policyinsights.operations.PolicyMetadataOperations) – PolicyMetadata operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - base_url (str) – Service URL

class `azure.mgmt.policyinsights.``PolicyInsightsClientConfiguration`(credentials, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for PolicyInsightsClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - base_url (str) – Service URL